package com.sun.media.sound;

import javax.sound.sampled.AudioInputStream;
import javax.sound.midi.MidiUnavailableException;
import javax.sound.sampled.SourceDataLine;
import java.util.Map;
import javax.sound.sampled.AudioFormat;
import javax.sound.midi.Synthesizer;

public interface AudioSynthesizer extends Synthesizer
{
    public abstract AudioFormat getFormat();
    
    public abstract AudioSynthesizerPropertyInfo[] getPropertyInfo(Map<String, Object> p0);
    
    public abstract void open(SourceDataLine p0, Map<String, Object> p1) throws MidiUnavailableException;
    
    public abstract AudioInputStream openStream(AudioFormat p0, Map<String, Object> p1) throws MidiUnavailableException;
}
